<?php

if( ! function_exists( 'electio_custom_icons' ) ) {

    function electio_custom_icons( $icons ) {

        //
        // Use this for reset current icons
        // $icons = array();

        //
        // Adding new icons
        $icons[]  = array(
            'title' => 'Electio Custom Icons',
            'icons' => array(
                'ele-icon electio-megaphone',
                'ele-icon electio-map',
                'ele-icon electio-profile-circle',
                'ele-icon electio-heart',
                'ele-icon electio-shopping-bag',
                'ele-icon electio-search',
                'ele-icon electio-angle-down',
                'ele-icon electio-arrow-right',
                'ele-icon electio-reload',
                'ele-icon electio-heart-2',
                'ele-icon electio-truck',
                'ele-icon electio-headphone',
                'ele-icon electio-wallet',
                'ele-icon electio-percent',
                'ele-icon electio-call',
                'ele-icon electio-mail',
                'ele-icon electio-twitter',
                'ele-icon electio-linkedin',
                'ele-icon electio-instagram',
                'ele-icon electio-pinterest',
                'ele-icon electio-tag',
                'ele-icon electio-034-bubble-chat',
                'ele-icon electio-mobile-phone',
                'ele-icon electio-monitor',
                'ele-icon electio-joystick',
                'ele-icon electio-headset',
                'ele-icon electio-watch',
                'ele-icon electio-webcam',
                'ele-icon electio-router',
                'ele-icon electio-radio',
                'ele-icon electio-time-circle',
            )
        );

        //
        // Move custom icons to top of the list.
        $icons = array_reverse( $icons );

        return $icons;

    }
    add_filter( 'csf_field_icon_add_icons', 'electio_custom_icons' );
}